Subject: Bug#3457: diald control file problems

From: [email-masked] (Ian Jackson)
Date: Mon, 1 Jul 96 17:21 BST

Package: diald
Version: 0.14-3

Firstly, it says:
 Depends: netstd, ppp (>> 2.2), netbase (>> 1.23)

Last time I used diald it worked perfectly fine without ppp at all -
of course, I was using it to make SLIP connections, but this means
that ppp ought to be a suggestion rather than a dependency or
recommendation.

Secondly, the Description has a typo:
 Description: dial on deman daemon for PPP and SLIP.
                           ^ missing `d'

The English in the Description isn't ideal, and you ought to explain
what the program does - ie, automatically bring up a SLIP or PPP
connection when its use is required and take it down again when it is
idle.

The postinst ought to check to see that the kernel has SLIP devices,
really - I don't know if it does already.

Ian.